Package ru.bitel.bgbilling.modules.megafon.common.bean

# Class MegafonProduct

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.megafon.common.bean.MegafonProduct

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class MegafonProduct extends IdTitle

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MegafonProduct()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getNpayServiceId()`
  `int`
  `getOptionKitId()`
  `int`
  `getPrice()`
  `String`
  `getProductDescription()`
  `String`
  `getProductOfferingId()`
  `int`
  `getTariffLabelId()`
  `MegafonProduct`
  `setId(int id)`
  Устанавливает id объекта
  `MegafonProduct`
  `setNpayServiceId(int npayServiceId)`
  `MegafonProduct`
  `setOptionKitId(int optionKitId)`
  `MegafonProduct`
  `setPrice(int price)`
  `MegafonProduct`
  `setProductDescription(String productDescription)`
  `MegafonProduct`
  `setProductOfferingId(String productOfferingId)`
  `MegafonProduct`
  `setTariffLabelId(int tariffLabelId)`
  `MegafonProduct`
  `setTitle(String title)`
  Устанавливает название (описание) объекта

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### MegafonProduct

    public MegafonProduct()

- ## Method Details

  - ### getNpayServiceId

    public int getNpayServiceId()

  - ### getOptionKitId

    public int getOptionKitId()

  - ### getPrice

    public int getPrice()

  - ### getProductDescription

    public String getProductDescription()

  - ### getProductOfferingId

    public String getProductOfferingId()

  - ### getTariffLabelId

    public int getTariffLabelId()

  - ### setId

    public MegafonProduct setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setNpayServiceId

    public MegafonProduct setNpayServiceId(int npayServiceId)

  - ### setOptionKitId

    public MegafonProduct setOptionKitId(int optionKitId)

  - ### setPrice

    public MegafonProduct setPrice(int price)

  - ### setProductDescription

    public MegafonProduct setProductDescription(String productDescription)

  - ### setProductOfferingId

    public MegafonProduct setProductOfferingId(String productOfferingId)

  - ### setTariffLabelId

    public MegafonProduct setTariffLabelId(int tariffLabelId)

  - ### setTitle

    public MegafonProduct setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`